This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 189604 - rhn-satellite-activate not creating Monitoring entitlement
rhn-satellite-activate not creating Monitoring entitlement
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
410
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Partha Aji
:
Depends On: 189403
Blocks: 189410
  Show dependency treegraph
 
Reported: 2006-04-21 11:31 EDT by Mike McCune
Modified: 2013-01-10 03:52 EST (History)
2 users (show)

See Also:
Fixed In Version: rhn410
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 20:36:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2006-04-21 11:31:42 EDT
Using:

rhn-satellite-4.1.0-71-redhat-linux-as-i386-4-embedded-oracle.iso

Ran rhn-satellite-activate on rlx-0-08.rhndev.redhat.com with this cert:

http://svn.rhndev.redhat.com/viewcvs/*checkout*/trunk/pm/satellite-certs/satellite-4.0/misa-test.cert

(you can also find it on the disk in /root/misa-test.cert)

Upon activation we didn't get the rhnServerGroup for Monitoring:


 select name from rhnServerGroup;

NAME
---------------------------------
RHN Update Entitled Servers
RHN Management Entitled Servers
RHN Provisioning Entitled Servers

or the corresponding rhnUserGroup.

this causes monitoring to be totally non-functional on the latest rev of the
satellite.
Comment 1 James Bowes 2006-04-21 16:31:05 EDT
Whoops! The Monitoring stuff won't get installed unless the NPalert rpm has been
installed (?). Anyways, the version of NPalert on that iso
(NPalert-1.125.17-5.rhel4.noarch.rpm) is broken and won't install. Any version
after that will, however. Should we whip up some new isos?
Comment 2 James Bowes 2006-05-03 17:21:21 EDT
Test plan:

* Install a satellite.
* add a child system to the satellite.
* ensure that you can give a monitoring entitlement to the child system.
Comment 3 Todd Sanders 2006-05-08 12:43:24 EDT
Reassign QA Responsibility to Partha Aji
Comment 4 Partha Aji 2006-05-11 18:38:17 EDT
Verified on rhn-satellite-4.1.0-76-redhat-linux-as-i386-4-embedded-oracle.iso


Comment 5 Beth Nackashi 2006-07-19 20:36:27 EDT
closing - currentrelease

Note You need to log in before you can comment on or make changes to this bug.